﻿using BPA.SAAS.KitChenManage.Application.Food.Services;
using BPA.SAAS.KitChenManage.Core.Base;
using BPA.SAAS.KitChenManage.Core.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.Authorization
{

    [ApiDescriptionSettings("授权管理", Tag = "授权管理")]
    public class AuthorizationServices: IDynamicApiController
    {
        private readonly Services.IAuthorizationService _authorizationService;
        public AuthorizationServices(Services.IAuthorizationService authorizationService)
        {
            _authorizationService = authorizationService;
        }

        
        /// <summary>
        /// 分页店铺授权码
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        [HttpPost("/api/authorization/pagestoreauthorization")]
        public async Task<PageUtil> PageStoreAuthorization(PageInputBase input)
        {
            return await _authorizationService.PageStoreAuthorization(input);
        }

        /// <summary>
        /// 添加店铺授权码
        /// </summary>
        /// <returns></returns>
        [HttpPost("/api/authorization/addstoreauthorization")]
        public async Task<bool> AddStoreAuthorization(string storeId)
        {
            return await _authorizationService.AddStoreAuthorization(storeId);
        }

        /// <summary>
        /// 修改店铺授权码
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        [HttpPost("/api/authorization/updatestoreauthorization")]
        public async Task<bool> UpdateStoreAuthorization(string id)
        {
            return await _authorizationService.UpdateStoreAuthorization(id);
        }

        /// <summary>
        /// CodeFirst
        /// </summary>
        /// <param name="tableNames"></param>
        public void CodeFirst()
        {
            _authorizationService.CodeFirst();
        }
    }
}
